package izuzeci;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.PrintWriter;
import java.util.List;
import java.util.Scanner;

public class RazniIzuzeciTest {

	private Scanner s;
	private PrintWriter pw;
	private List<Integer> brojevi1;
	private int[] brojevi2;

	public RazniIzuzeciTest() {
		brojevi2 = new int[7];
	}

	/*
	 * sve proverljive izuzetke propagirati, neproverljive razresiti logicki
	 * Izuzev neproverljivog NumberFormatException koji treba preskociti u
	 * slucaju da se desi, dakle, uhvatiti catch-om i nastaviti izvrsavanje
	 */
	private void ucitajBrojeve(String putanja) throws FileNotFoundException {
		File f = null;
		s = new Scanner(f);

		// ucitavamo brojeve iz prvog reda
		String red1 = s.nextLine();
		String[] red1Elementi = red1.split(" ");
		for (int i = 0; i < red1Elementi.length; i++) {
			brojevi1.add(Integer.valueOf(red1Elementi[i])); // ova metoda moze
															// da izbaci
															// neproverljivi
															// izuzetak
															// NumberFormatException
		}
		// potom ostatak brojeva do kraja datoteke
		int k = -1;
		while (s.hasNextInt()) {
			brojevi2[k] = s.nextInt();
			k++;
		}
		s.close();
	}

	/*
	 * sve proverljive izuzetke razresiti, neproverljive razresiti logicki,
	 * odnosno spreciti.
	 */
	private void izracunaj() {
		// sabiramo sve brojeve iz liste brojevi1
		Integer suma1 = null;
		int suma2 = 0;
		for (int i = 0; i < 10; i++) {
			suma1 += brojevi1.get(i);
		}
		for (int i = 0; i < brojevi1.size(); i++) {
			suma2 += brojevi2[i];
		}
		double rezultat = suma1 * 1.0 / suma2;
		File f = new File("src/izuzeci/rezultat.txt");
		pw = new PrintWriter(f);
		pw.write(rezultat + "\n");
		pw.close();

	}

	public static void main(String[] args) {

		RazniIzuzeciTest test1 = new RazniIzuzeciTest();
		test1.ucitajBrojeve("src/brojevi1.txt");
		// nakon ovog test primera probajte i umesto brojevi1 da stavite
		// brojevi2
		test1.izracunaj();
	}

}
